Subject: guile fails to build with jit on x86_64-pc-linux-gnux32

From: Serge Belyshev <[email-masked]>
Date: Sun, 18 Jul 2021 11:18:09 +0300

On x86_64-pc-linux-gnux32 guile fails to build with segfault at "GEN
guile-procedures.texi".

Backtrace from coredump or from gdb-uninstalled-guile appears to be
garbage or empty.

Tested current git, 3.0.7 tarball and several other versions from git
where jit is enabled and works on plain x86_64-pc-linux-gnu.

Building with --disable-jit works fine.